#!/bin/sh
# 
# KeyTool GUI startup script
# JPackage Project <http://www.jpackage.org/>

# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then 
  . /usr/share/java-utils/java-functions
else
  echo "Can't find functions library, aborting"
  exit 1
fi

# Configuration
MAIN_CLASS=info.waynegrant.utilities.keytoolgui.FKeyToolGUI
BASE_JARS="keytoolgui bouncycastle"
# Optional look&feel jars
CLASSPATH=$CLASSPATH:$(build-classpath kunststoff metouia 2>/dev/null) || :

# Set parameters
set_jvm
set_classpath $BASE_JARS
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

# Let's start
run "$@"
